Last Comment Bug 743325 - Touch events are broken in XUL Fennec
: Touch events are broken in XUL Fennec
Status: VERIFIED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 13
: All Android
: -- normal (vote)
: Firefox 15
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 734503 745071
  Show dependency treegraph
 
Reported: 2012-04-06 12:25 PDT by Wesley Johnston (:wesj)
Modified: 2012-04-26 10:29 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
backout patch for trunk and aurora 14 (10.67 KB, patch)
2012-04-23 10:47 PDT, Matt Brubeck (:mbrubeck)
peterv: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
backout patch for beta 13 (10.75 KB, patch)
2012-04-23 10:50 PDT, Matt Brubeck (:mbrubeck)
peterv: review+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Wesley Johnston (:wesj) 2012-04-06 12:25:22 PDT
Reported from Kairo in IRC that touch events (even single touch ones) are broken in XUL Fennec. We need some testing to verify.

We're unlikely to ship another release build of XUL Fennec. We may end up pushing this to the Beta channel if Native slips again (although no one has tested Aurora yet to know if it has this problem).
Comment 1 Wesley Johnston (:wesj) 2012-04-06 12:27:34 PDT
Adding Kairo. I don't think this will be a priority for the team, but want to track the regression. Metro Firefox should also be seeing this (although they'll eventually want to turn off this silly Parent Process MouseEvents->Child process touch events trickery we did.
Comment 2 Matt Brubeck (:mbrubeck) 2012-04-06 12:56:25 PDT
The tests at http://limpet.net/w3/touchevents/single-touch.html fail with exception "Permission denied for <http://limpet.net> to create wrapper for object of class UnnamedClass."
Comment 3 Robert Kaiser 2012-04-07 06:30:12 PDT
Also add romaxa, who is doing the N9 builds, that are XUL as well and show that bug as well (I only tried Nightly versions there).
Comment 4 Robert Kaiser 2012-04-07 08:52:42 PDT
OK, I did some regression testing, the bug was introduced between the 2012-03-12 and 2012-03-13 13.0a1 mozilla-central builds. This means that Aurora is affected.

FYI, sites to use for testing are http://lantea.kairo.at/ (panning the map - which is what I used for regression testing), http://mandelbrot.kairo.at/ (zooming into the set via dragging over a rendered image), http://browserquest.mozilla.org/ (moving the character via tapping on the playing field). Of course, all those are single-touch events, as XUL Fennec doesn't support multitouch.

Here's more info on the regression range:

Last good build:
http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2012-03-12-03-11-36-mozilla-central-android-xul/
20120312031136
http://hg.mozilla.org/mozilla-central/rev/5ec9524de1af

First bad build:
http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2012-03-13-03-11-12-mozilla-central-android-xul/
20120313031112
http://hg.mozilla.org/mozilla-central/rev/1ca7a94573f2

Checkin range:
hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5ec9524de1af&tochange=1ca7a94573f2


I searched for "touch" in the pushlog and found this one:
http://hg.mozilla.org/mozilla-central/rev/554ab0a2f470
Peter Van der Beken — Fix for bug 734503 (Add new DOM binding for TouchList). r=jst.

Could that be what triggers this bug?
Comment 5 Wesley Johnston (:wesj) 2012-04-07 08:57:39 PDT
Looks likely to me.
Comment 6 Peter Van der Beken [:peterv] 2012-04-09 00:44:21 PDT
Can someone try setting the dom.new_bindings pref to false and check if that fixes it?
Comment 7 Robert Kaiser 2012-04-09 04:52:29 PDT
(In reply to Peter Van der Beken [:peterv] from comment #6)
> Can someone try setting the dom.new_bindings pref to false and check if that
> fixes it?

Unfortunately, that doesn't change anything. :(
Comment 8 Oleg Romashin (:romaxa) 2012-04-09 09:13:11 PDT
yep, with disabled new dom bindings nothing has changed
Comment 9 Jim Mathies [:jimm] 2012-04-13 08:44:27 PDT
Has anyone tried backing out bug 734503 to see if it fixes the issue?
Comment 10 Robert Kaiser 2012-04-13 09:18:29 PDT
(In reply to Jim Mathies [:jimm] from comment #9)
> Has anyone tried backing out bug 734503 to see if it fixes the issue?

I don't do my own builds, but if you get around to doing a try build with it backed out, I can test that.
Comment 11 Oleg Romashin (:romaxa) 2012-04-23 09:55:55 PDT
(In reply to Jim Mathies [:jimm] from comment #9)
> Has anyone tried backing out bug 734503 to see if it fixes the issue?

Tested with that patch backed out, and single touch events works ok,
Sand-trap gape is usable without that patch.
Comment 12 Matt Brubeck (:mbrubeck) 2012-04-23 10:00:23 PDT
Requesting tracking-firefox13 because this is a regression in XUL Fennec 13 that breaks web content, including popular sites like Google Maps.  (We aren't shipping XUL Fennec 13 to the release channel, but we should fix this before it reaches beta.)

Peter, would it be reasonable to back out bug 734503 on Aurora until a better fix is found?  Would the backout have any risks or side effects?
Comment 13 Peter Van der Beken [:peterv] 2012-04-23 10:35:00 PDT
No, I don't think backing out would have much risk.
Comment 14 Matt Brubeck (:mbrubeck) 2012-04-23 10:47:18 PDT
Created attachment 617536 [details] [diff] [review]
backout patch for trunk and aurora 14
Comment 15 Matt Brubeck (:mbrubeck) 2012-04-23 10:50:31 PDT
Created attachment 617539 [details] [diff] [review]
backout patch for beta 13

[Approval Request Comment]
Regression caused by (bug #): 734503

User impact if declined: Touch events broken in XUL Fennec

Testing completed (on m-c, etc.): Not yet landed on m-c.  Existing automated  tests cover the code touched by this patch.

Risk to taking this patch (and alternatives if risky): Low-risk backout that reverts the TouchList class from using new-style binding to old-style bindings.

String changes made by this patch: None.
Comment 18 Alex Keybl [:akeybl] 2012-04-25 12:37:21 PDT
Comment on attachment 617536 [details] [diff] [review]
backout patch for trunk and aurora 14

[Triage Comment]
Approved for Aurora 14.
Comment 19 Alex Keybl [:akeybl] 2012-04-25 12:37:27 PDT
Comment on attachment 617539 [details] [diff] [review]
backout patch for beta 13

and Beta 13
Comment 20 Matt Brubeck (:mbrubeck) 2012-04-25 13:41:03 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/064758fe4026
https://hg.mozilla.org/releases/mozilla-beta/rev/7e8c20249a4f

This did *not* land in time for 13.0b1 build 1.  I'm not sure whether we should hold the build or respin for this...
Comment 21 Robert Kaiser 2012-04-26 10:29:39 PDT
Verified that touch events work again in 15.0a1 XUL Nightly from today.

Note You need to log in before you can comment on or make changes to this bug.